<?php 
/*
 * Copyright 2008 by Moshe Brevda mbrevda=>gmail[com]
 * 
 * based on work by Philippe Lindheimer
 *    
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

$type = isset($_REQUEST['type']) ? $_REQUEST['type'] : 'setup';
$action = isset($_REQUEST['action']) ? $_REQUEST['action'] :  '';
if (isset($_REQUEST['delete'])) $action = 'delete'; 

$cac_id = isset($_REQUEST['cac_id']) ? $_REQUEST['cac_id'] :  false;
$description = isset($_REQUEST['description']) ? $_REQUEST['description'] :  '';
$cac_name = isset($_REQUEST['cac_name']) ? $_REQUEST['cac_name'] :  '';
$cac_num = isset($_REQUEST['cac_num']) ? $_REQUEST['cac_num'] :  '';
$dest = isset($_REQUEST['dest']) ? $_REQUEST['dest'] :  '';

if (isset($_REQUEST['goto0']) && $_REQUEST['goto0']) {
	$dest = $_REQUEST[ $_REQUEST['goto0'].'0' ];
}

switch ($action) {
	case 'add':
		setaccountcode_add($description, $cac_name, $cac_num, $dest);
		needreload();
		redirect_standard();
	break;
	case 'edit':
		setaccountcode_edit($cac_id, $description, $cac_name, $cac_num, $dest);
		needreload();
		redirect_standard('extdisplay');
	break;
	case 'delete':
		setaccountcode_delete($cac_id);
		needreload();
		redirect_standard();
	break;
}

?> 
</div>

<div class="rnav"><ul>
<?php 

echo '<li><a href="config.php?display=setaccountcode&amp;type='.$type.'">'._('Add Account Code').'</a></li>';

foreach (setaccountcode_list() as $row) {
	echo '<li><a href="config.php?display=setaccountcode&amp;type='.$type.'&amp;extdisplay='.$row['cac_id'].'" class="rnavdata" rnavdata="'.$row['description'].','.$row['cac_name'].','.$row['cac_num'].','.$row['dest'].'">'.$row['description'].'</a></li>';

}

?>
</ul></div>

<div class="content">

<?php

if ($extdisplay) {
	// load
	$row = setaccountcode_get($extdisplay);
	
	$description = $row['description'];
	$cac_name   = $row['cac_name'];
	$cac_num   = $row['cac_num'];
	$dest      = $row['dest'];

	echo "<h2>"._("Edit: ")."$description ($cac_name)"."</h2>";
} else {
	echo "<h2>"._("Add Account Code")."</h2>";
}

$helptext = _("Set Account Code allows you to set the CDR Accuont Code and then continue on to the desired destination.<br><br>Some options are<br><b>\${FROM_DID}</b> - Set Account Code to DID");
echo $helptext;
//echo $row['dest'];
?>

<form name="editsetaccountcode" action="<?php  $_SERVER['PHP_SELF'] ?>" method="post" onsubmit="return checksetaccountcode(editsetaccountcode);">
	<input type="hidden" name="extdisplay" value="<?php echo $extdisplay; ?>">
	<input type="hidden" name="cac_id" value="<?php echo $extdisplay; ?>">
	<input type="hidden" name="action" value="<?php echo ($extdisplay ? 'edit' : 'add'); ?>">
	<table>
	<tr><td colspan="2"><h5><?php  echo ($extdisplay ? _("Edit Account Code Instance") : _("Add Account Code Instance")) ?><hr></h5></td></tr>
	<tr>
		<td><a href="#" class="info"><?php echo _("Description")?>:<span><?php echo _("The descriptive name of this Account Code instance. For example \"new name here\"");?></span></a></td>
		<td><input size="30" type="text" name="description" value="<?php  echo $description; ?>" tabindex="<?php echo ++$tabindex;?>"></td>
	</tr>
	<tr>
		<td><a href="#" class="info"><?php echo _("Unused")?>:<span><?php echo _("");?></span></a></td>
		<td><input size="30" type="hidden" name="cac_name" value="<?php echo $cac_name; ?>"  tabindex="<?php echo ++$tabindex;?>"/></td> </tr>
    <td><a href="#" class="info"><?php echo _("Account Number Number")?>:<span><?php echo _("The Account Number that you want to change to. ");?></span></a></td>
		<td><input size="30" type="text" name="cac_num" value="<?php echo $cac_num; ?>"  tabindex="<?php echo ++$tabindex;?>"/></td> </tr>
	<tr><td colspan="2"><br><h5><?php echo _("Destination")?>:<hr></h5></td></tr>

<?php 
//draw goto selects
echo drawselects($dest,0);
?>
			
	<tr>
		<td colspan="2"><br><input name="Submit" type="submit" value="<?php echo _("Submit Changes")?>" tabindex="<?php echo ++$tabindex;?>">
			<?php if ($extdisplay) { echo '&nbsp;<input name="delete" type="submit" value="'._("Delete").'">'; } ?>
		</td>		

		<?php
		if ($extdisplay) {
			$usage_list = framework_display_destination_usage(setaccountcode_getdest($extdisplay));
			if (!empty($usage_list)) {
			?>
				<tr><td colspan="2">
				<a href="#" class="info"><?php echo $usage_list['text']?>:<span><?php echo $usage_list['tooltip']?></span></a>
				</td></tr>
			<?php
			}
		}
		?>
	</tr>
</table>
</form>

<script language="javascript">
<!--
$(document).ready(function () {

  if (!$('[name=description]').attr("value")) {
  $('[name=cac_name]').attr({value: ""});
  $('[name=cac_num]').attr({value: ""});
    }
    
 // select rnav options - fake type = edit
 /*
  $("a.rnavdata").click(function(event){
  event.preventDefault();
  linktext = $(this).text();
  rnavdata = $(this).attr("rnavdata");
  arr = rnavdata.split(",");
  $('h2').text("<?php echo _("Edit") ?>: " + arr[0]);
	$('[name=description]').attr({value: arr[0]});
  $('[name=cac_name]').attr({value: arr[1]});
  $('[name=cac_num]').attr({value: arr[2]});
  });
  */
});


function checksetaccountcode(theForm) {
	var msgInvalidDescription = "<?php echo _('Invalid description specified'); ?>";

	// set up the Destination stuff
	setDestinations(theForm, '_post_dest');

	// form validation
	defaultEmptyOK = false;	
	if (isEmpty(theForm.description.value))
		return warnInvalid(theForm.description, msgInvalidDescription);

	if (!validateDestinations(theForm, 1, true))
		return false;

	return true;
}
//-->
</script>
